> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Customer

> This endpoint updates an already existing customer object

Allows you to look up details of existing users on Tazapay's database with their Tazapay account UUID.


## OpenAPI

````yaml put /v3/customer/
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/customer/:
    put:
      summary: Update Customer
      description: This endpoint updates an already existing customer object
      operationId: get-user-by-id-api
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                phone:
                  $ref: '#/components/schemas/Phone'
                billing_address:
                  type: array
                  description: Billing Details of the customer
                  items:
                    properties:
                      name:
                        type: string
                        description: Name
                      address:
                        $ref: '#/components/schemas/Address'
                      phone:
                        $ref: '#/components/schemas/Phone'
                      label:
                        type: string
                        description: Denotes the type of address (Example - home, work)
                    type: object
                shipping_address:
                  type: array
                  description: Shipping Details of the customer
                  items:
                    properties:
                      name:
                        type: string
                        description: Name
                      address:
                        $ref: '#/components/schemas/Address'
                      phone:
                        $ref: '#/components/schemas/Phone'
                      label:
                        type: string
                        description: Denotes the type of address (Example - home, work)
                    type: object
                metadata:
                  $ref: '#/components/schemas/MetadataInput'
                customer_id:
                  type: string
                  description: 'Customer id for which details need to be updated. '
            examples:
              Request Example:
                value:
                  phone:
                    calling_code: '1'
                    number: '9876543210'
                  billing:
                    - name: Andrew Robin
                      address:
                        line1: 9th West
                        line2: 57th Street
                        city: New York
                        state: New York
                        country: US
                        postal_code: '10019'
                      phone:
                        calling_code: '1'
                        number: '9876543210'
                  shipping:
                    - name: Andrew Robin
                      address:
                        line1: 9th West
                        line2: 57th Street
                        city: New York
                        state: New York
                        country: US
                        postal_code: '10019'
                      phone:
                        calling_code: '1'
                        number: '9876543210'
                  metadata:
                    key1: value1
                    key2: value2
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: success
                    message: ''
                    data:
                      message: Successfully updated the customer
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      message:
                        type: string
      deprecated: false
components:
  schemas:
    Phone:
      type: object
      description: Phone contact details
      properties:
        calling_code:
          type: string
          description: >-
            Calling country code (for example, '1' for United States, '91' for
            India)
        number:
          type: string
          description: Phone Number
    Address:
      type: object
      description: Address details
      properties:
        line1:
          type: string
          description: Address Line 1
        line2:
          type: string
          description: Address Line 2
        city:
          type: string
          description: Address city
        state:
          type: string
          description: Address state
        country:
          type: string
          description: Address country (ISO 3166-1 alpha-2 country code)
        postal_code:
          type: string
          description: Postal Code
    MetadataInput:
      type: string
      description: >-
        Set of key-value pairs that can be attached to the object (JSON string
        format)
      format: json
      example: '{"key1": "value1", "key2": "value2"}'
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````